Stockholms_lan = '01',
Upplands_Vasby = '0114',
Vallentuna = '0115',
Osteraker = '0117',
Varmdo = '0120',
Jarfalla = '0123',
Ekero = '0125',
Huddinge = '0126',
Botkyrka = '0127',
Salem = '0128',
Haninge = '0136',
Tyreso = '0138',
Upplands_Bro = '0139',
Nykvarn = '0140',
Taby = '0160',
Danderyd = '0162',
Sollentuna = '0163',
Stockholm = '0180',
Sodertalje = '0181',
Nacka = '0182',
Sundbyberg = '0183',
Solna = '0184',
Lidingo = '0186',
Vaxholm = '0187',
Norrtalje = '0188',
Sigtuna = '0191',
Nynashamn = '0192',
Uppsala_lan = '03',
Habo = '0305',
Alvkarleby = '0319',
Knivsta = '0330',
Heby = '0331',
Tierp = '0360',
Uppsala = '0380',
Enkoping = '0381',
Osthammar = '0382',
Sodermanlands_lan = '04',
Vingaker = '0428',
Gnesta = '0461',
Nykoping = '0480',
Oxelosund = '0481',
Flen = '0482',
Katrineholm = '0483',
Eskilstuna = '0484',
Strangnas = '0486',
Trosa = '0488',
Ostergotlands_lan = '05',
Odeshog = '0509',
Ydre = '0512',
Kinda = '0513',
Boxholm = '0560',
Atvidaberg = '0561',
Finspang = '0562',
Valdemarsvik = '0563',
Linkoping = '0580',
Norrkoping = '0581',
Soderkoping = '0582',
Motala = '0583',
Vadstena = '0584',
Mjolby = '0586',
Jonkopings_lan = '06',
Aneby = '0604',
Gnosjo = '0617',
Mullsjo = '0642',
Habo = '0643',
Gislaved = '0662',
Vaggeryd = '0665',
Jonkoping = '0680',
Nassjo = '0682',
Varnamo = '0683',
Savsjo = '0684',
Vetlanda = '0685',
Eksjo = '0686',
Tranas = '0687',
Kronobergs_lan = '07',
Uppvidinge = '0760',
Lessebo = '0761',
Tingsryd = '0763',
Alvesta = '0764',
Almhult = '0765',
Markaryd = '0767',
Vaxjo = '0780',
Ljungby = '0781',
Kalmar_lan = '08',
Hogsby = '0821',
Torsas = '0834',
Morbylanga = '0840',
Hultsfred = '0860',
Monsteras = '0861',
Emmaboda = '0862',
Kalmar = '0880',
Nybro = '0881',
Oskarshamn = '0882',
Vastervik = '0883',
Vimmerby = '0884',
Borgholm = '0885',
Gotlands_lan = '09',
Gotland = '0980',
Blekinge_lan = '10',
Olofstrom = '1060',
Karlskrona = '1080',
Ronneby = '1081',
Karlshamn = '1082',
Solvesborg = '1083',
Skane_lan = '12',
Svalov = '1214',
Staffanstorp = '1230',
Burlov = '1231',
Vellinge = '1233',
Ostra_Goinge_ = '1256',
Orkelljunga = '1257',
Bjuv = '1260',
Kavlinge = '1261',
Lomma = '1262',
Svedala = '1263',
Skurup = '1264',
Sjobo = '1265',
Horby = '1266',
Hoor = '1267',
Tomelilla = '1270',
Bromolla = '1272',
Osby = '1273',
Perstorp = '1275',
Klippan = '1276',
Astorp = '1277',
Bastad = '1278',
Malmo = '1280',
Lund = '1281',
Landskrona = '1282',
Helsingborg = '1283',
Hoganas = '1284',
Eslov = '1285',
Ystad = '1286',
Trelleborg = '1287',
Kristianstad = '1290',
Simrishamn = '1291',
Angelholm = '1292',
Hassleholm = '1293',
Hallands_lan = '13',
Hylte = '1315',
Halmstad = '1380',
Laholm = '1381',
Falkenberg = '1382',
Varberg = '1383',
Kungsbacka = '1384',
Vastra_Gotalands_lan = '14',
Harryda = '1401',
Partille = '1402',
Ockero = '1407',
Stenungsund = '1415',
Tjorn = '1419',
Orust = '1421',
Sotenas = '1427',
Munkedal = '1430',
Tanum = '1435',
Dals_Ed = '1438',
Fargelanda = '1439',
Ale = '1440',
Lerum = '1441',
Vargarda = '1442',
Bollebygd = '1443',
Grastorp = '1444',
Essunga = '1445',
Karlsborg = '1446',
Gullspang = '1447',
Tranemo = '1452',
Bengtsfors = '1460',
Mellerud = '1461',
Lilla_Edet_ = '1462',
Mark = '1463',
Svenljunga = '1465',
Herrljunga = '1466',
Vara = '1470',
Gotene = '1471',
Tibro = '1472',
Toreboda = '1473',
Goteborg = '1480',
Molndal = '1481',
Kungalv = '1482',
Lysekil = '1484',
Uddevalla = '1485',
Stromstad = '1486',
Vanersborg = '1487',
Trollhattan = '1488',
Alingsas = '1489',
Boras = '1490',
Ulricehamn = '1491',
Amal = '1492',
Mariestad = '1493',
Lidkoping = '1494',
Skara = '1495',
Skovde = '1496',
Hjo = '1497',
Tidaholm = '1498',
Falkoping = '1499',
Varmlands_lan = '17',
Kil = '1715',
Eda = '1730',
Torsby = '1737',
Storfors = '1760',
Hammaro = '1761',
Munkfors = '1762',
Forshaga = '1763',
Grums = '1764',
Arjang = '1765',
Sunne = '1766',
Karlstad = '1780',
Kristinehamn = '1781',
Filipstad = '1782',
Hagfors = '1783',
Arvika = '1784',
Saffle = '1785',
Orebro_lan = '18',
Lekeberg = '1814',
Laxa = '1860',
Hallsberg = '1861',
Degerfors = '1862',
Hallefors = '1863',
Ljusnarsberg = '1864',
Orebro = '1880',
Kumla = '1881',
Askersund = '1882',
Karlskoga = '1883',
Nora = '1884',
Lindesberg = '1885',
Vastmanlands_lan = '19',
Skinnskatteberg = '1904',
Surahammar = '1907',
Kungsor = '1960',
Hallstahammar = '1961',
Norberg = '1962',
Vasteras = '1980',
Sala = '1981',
Fagersta = '1982',
Koping = '1983',
Arboga = '1984',
Dalarnas_lan = '20',
Vansbro = '2021',
Malung_Salen = '2023',
Gagnef = '2026',
Leksand = '2029',
Rattvik = '2031',
Orsa = '2034',
Alvdalen = '2039',
Smedjebacken = '2061',
Mora = '2062',
Falun = '2080',
Borlange = '2081',
Sater = '2082',
Hedemora = '2083',
Avesta = '2084',
Ludvika = '2085',
Gavleborgs_lan = '21',
Ockelbo = '2101',
Hofors = '2104',
Ovanaker = '2121',
Nordanstig = '2132',
Ljusdal = '2161',
Gavle = '2180',
Sandviken = '2181',
Soderhamn = '2182',
Bollnas = '2183',
Hudiksvall = '2184',
Vasternorrlands_lan = '22',
Ange = '2260',
Timra = '2262',
Harnosand = '2280',
Sundsvall = '2281',
Kramfors = '2282',
Solleftea = '2283',
Ornskoldsvik = '2284',
Jamtlands_lan = '23',
Ragunda = '2303',
Bracke = '2305',
Krokom = '2309',
Stromsund = '2313',
Are = '2321',
Berg = '2326',
Harjedalen = '2361',
Ostersund = '2380',
Vasterbottens_lan = '24',
Nordmaling = '2401',
Bjurholm = '2403',
Vindeln = '2404',
Robertsfors = '2409',
Norsjo = '2417',
Mala = '2418',
Storuman = '2421',
Sorsele = '2422',
Dorotea = '2425',
Vannas = '2460',
Vilhelmina = '2462',
Asele = '2463',
Umea = '2480',
Lycksele = '2481',
Skelleftea = '2482',
Norrbottens_lan = '25',
Arvidsjaur = '2505',
Arjeplog = '2506',
Jokkmokk = '2510',
Overkalix = '2513',
Kalix = '2514',
Overtornea = '2518',
Pajala = '2521',
Gallivare = '2523',
Alvsbyn = '2560',
Lulea = '2580',
Pitea = '2581',
Boden = '2582',
Haparanda = '2583',
Kiruna = '2584'


def read_file():
    with open("codes.txt", mode="r", encoding="utf-8") as f:
        return f.readlines()


def remove_line_break(lines):
    formatted_lines = []
    for line in lines:
        if line != '\n':
            formatted_lines.append(line.strip('\n'))
    return formatted_lines


def create_vars(lines):
    lines_as_vars = []
    for line in lines:
        splitted = line.split(' ')
        code = splitted[0]
        if len(splitted) == 2:
            name = splitted[1]
        else:
            name = splitted[1]
            for i in range(2, len(splitted)):
                name += f" {splitted[i]} "

        name = name.replace('Å', 'A')
        name = name.replace('å', 'a')
        name = name.replace('ä', 'a')
        name = name.replace('Ä', 'A')
        name = name.replace('ö', 'o')
        name = name.replace('Ö', 'O')
        name = name.replace(' ', '_')
        name = name.replace('-', '_')
        var = f"{name} = '{code}'"
        var.strip(' ')
        var.strip('_')
        lines_as_vars.append(var)
    return lines_as_vars


if __name__ == '__main__':
    lines = read_file()

    formatted_lines = remove_line_break(lines)

    vars = create_vars(formatted_lines)
    for v in vars:
        print(f"{v},")
